- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions

# FbxTransform Class Reference

Search for all occurrences

## Detailed Description

Handle transform behaviors such as pivots, limits and offets, etc.

Definition at line 209 of file fbxtransforms.h.

`#include <fbxtransforms.h>`

List of all members.

## Classes
class | RotationSpace
## Public Types
enum | EInheritType { eInheritRrSs, eInheritRSrs, eInheritRrs }
## Public Member Functions
| FbxTransform ()
EInheritType | GetInheritType ()
void | SetInheritType (EInheritType pType)
FbxLimits & | GetTranslationLimits ()
FbxLimits & | GetRotationLimits ()
FbxLimits & | GetScalingLimits ()
FbxRotationOrder & | GetRotationOrder ()
bool | HasROffset ()
bool | HasRPivot ()
bool | HasSOffset ()
bool | HasSPivot ()
bool | HasPreRM ()
bool | HasPostRM ()
void | SetROffset (FbxVector4 &pROffset)
void | SetRPivot (FbxVector4 &pRPivot)
void | SetSOffset (FbxVector4 &pSOffset)
void | SetSPivot (FbxVector4 &pSPivot)
void | SetPreRM (FbxVector4 &pPreR)
void | SetPostRM (FbxVector4 &pPostR)
bool | GetRotationSpaceForLimitOnly ()
void | SetRotationSpaceForLimitOnly (bool pRotationSpaceForLimitOnly)
void | DoF2LT (FbxVector4 &pLT, FbxVector4 &pDoF, FbxAMatrix &pLRM, FbxAMatrix &pLSM)
void | LT2DoF (FbxVector4 &pDoF, FbxVector4 pLT, FbxAMatrix &pLRM, FbxAMatrix &pLSM)
void | DoF2LRM (FbxAMatrix &pLRM, FbxVector4 &pRDoF, bool pForLimit=false)
void | LRM2DoF (FbxVector4 &pRDoF, FbxAMatrix &pLRM, bool pForLimit=false)
void | LSM2GSM (FbxAMatrix &pGSM, FbxAMatrix &pPGSM, FbxAMatrix &pLSM, FbxAMatrix &pLRM)
void | GTRSM2GX (FbxAMatrix &pGX, FbxVector4 &pGT, FbxAMatrix &pGRM, FbxAMatrix &pGSM)

## Member Enumeration Documentation

enum EInheritType

Search for all occurrences

Enumerator:

  eInheritRrSs | Search for all occurrences
  eInheritRSrs | Search for all occurrences
  eInheritRrs | Search for all occurrences

Definition at line 212 of file fbxtransforms.h.

    {eInheritRrSs, eInheritRSrs, eInheritRrs};

## Constructor & Destructor Documentation

FbxTransform | ( |  | ) |

## Member Function Documentation

EInheritType GetInheritType | ( |  | ) |

Search for all occurrences

void SetInheritType | ( | EInheritType | pType | ) |

Search for all occurrences

FbxLimits& GetTranslationLimits | ( |  | ) |

Search for all occurrences

FbxLimits& GetRotationLimits | ( |  | ) |

Search for all occurrences

FbxLimits& GetScalingLimits | ( |  | ) |

Search for all occurrences

FbxRotationOrder& GetRotationOrder | ( |  | ) |

Search for all occurrences

bool HasROffset | ( |  | ) |

Search for all occurrences

bool HasRPivot | ( |  | ) |

Search for all occurrences

bool HasSOffset | ( |  | ) |

Search for all occurrences

bool HasSPivot | ( |  | ) |

Search for all occurrences

bool HasPreRM | ( |  | ) |

Search for all occurrences

bool HasPostRM | ( |  | ) |

Search for all occurrences

void SetROffset | ( | FbxVector4 & | pROffset | ) |

Search for all occurrences

void SetRPivot | ( | FbxVector4 & | pRPivot | ) |

Search for all occurrences

void SetSOffset | ( | FbxVector4 & | pSOffset | ) |

Search for all occurrences

void SetSPivot | ( | FbxVector4 & | pSPivot | ) |

Search for all occurrences

void SetPreRM | ( | FbxVector4 & | pPreR | ) |

Search for all occurrences

void SetPostRM | ( | FbxVector4 & | pPostR | ) |

Search for all occurrences

bool GetRotationSpaceForLimitOnly | ( |  | ) |

Search for all occurrences

void SetRotationSpaceForLimitOnly | ( | bool | pRotationSpaceForLimitOnly | ) |

Search for all occurrences

void DoF2LT | ( | FbxVector4 & | pLT,
|  | FbxVector4 & | pDoF,
|  | FbxAMatrix & | pLRM,
|  | FbxAMatrix & | pLSM
| ) |  |

Search for all occurrences

void LT2DoF | ( | FbxVector4 & | pDoF,
|  | FbxVector4 | pLT,
|  | FbxAMatrix & | pLRM,
|  | FbxAMatrix & | pLSM
| ) |  |

Search for all occurrences

void DoF2LRM | ( | FbxAMatrix & | pLRM,
|  | FbxVector4 & | pRDoF,
|  | bool | pForLimit = `false`
| ) |  |

Search for all occurrences

void LRM2DoF | ( | FbxVector4 & | pRDoF,
|  | FbxAMatrix & | pLRM,
|  | bool | pForLimit = `false`
| ) |  |

Search for all occurrences

void LSM2GSM | ( | FbxAMatrix & | pGSM,
|  | FbxAMatrix & | pPGSM,
|  | FbxAMatrix & | pLSM,
|  | FbxAMatrix & | pLRM
| ) |  |

Search for all occurrences

void GTRSM2GX | ( | FbxAMatrix & | pGX,
|  | FbxVector4 & | pGT,
|  | FbxAMatrix & | pGRM,
|  | FbxAMatrix & | pGSM
| ) |  |

Search for all occurrences

The documentation for this class was generated from the following file:

- fbxsdk/core/math/fbxtransforms.h

FbxTransform FbxTransform FbxTransform FbxTransform FbxTransform FbxTransform FbxTransform FbxTransform FbxTransform FbxTransform
FbxTransform FbxTransform FbxTransform FbxTransform FbxTransform FbxTransform FbxTransform FbxTransform FbxTransform FbxTransform